Subject: Summary: PARALLEL abinitio

From: Rohit Batra <[email-masked]>
Date: Mon, 25 Apr 1994 11:26:03 +0200

Dear Netters,

A couple of days ago I sent the following message to the list: 

> Dear Netters,
> 
> Does anyone know about ab initio packages which can optimize open shell
> species (UHF-, UMP2-Wavefunctions) **PARALLEL** on distributed memory
> machines?
> Should there be any responses please reply to me personally I will 
> summarize and send the summary to the list.
> 
> Thanks a lot,
> 
>                Rohit Batra

I would like to thank all the netters who replied so promptly and
helpfully.
Below is a summary of their responses.

===============================================================================

Gernot Katzer <[email-masked]> writes:

GAMESS does this for RHF, ROHF, UHF and GVB wave functions.
Energy (conventional or direct) and Gradient parallelize very well 
(Speedup of more than 3.5 with 4 Processors is possible), analytic 
hessians, however, are problematic, because of high disk demand and 
unparallelized CP-HF.

MC-SCF wave functions can run parallel only in parts.

Hope that helps. If you want to have more information, contact me.

Gernot Katzer

===============================================================================

Tom <[email-masked]> writes:

Hi,

	Parallel-GAMESS will do the UHF optimization in parallel
on a bunch of different parallel platforms.  To date, we have run it
on an IBM SP1, KSR-1, CM-5, Paragon, iPSC/860, and the Iowa State
folks have run it across heterogeneous Ethernetworks of UNIX
workstations.  I believe there exists a version for the nCUBE.
	The above refers t the US version of GAMESS.  I also believe
there is good parallel capability in the UK version, although I
have not used it.

Tom

===============================================================================

Craig Wilson <[email-masked]> writes:

I think that Gaussian 92 is available as a parallel processing package. It will
certainly do UHF and UMP2 anyway. Contact Gaussian Inc. 4415 Fifth Avenue,
Pittsburgh, PA. 15213 U.S.A for more details. I don't know about specific
e-mail addresses, but [email-masked] would get through, I guess.

Craig Wilson

===============================================================================

Swamy Kandadai <[email-masked]> writes:

Rohit:
Dr. Michel Dupuis's code HONDO is parallelized for distributed
computing environment. Please contact him for a copy of HONDO
running in parallel on IBM's Risc sytem 6000.
Thanks
Swamy

===============================================================================

Theresa writes:

  GAMESS (the US version) is currently parallelized for UHF (and several
other) wavefunctions.  The UMP2 is not yet parallelized (although the RMP2 is).
GAMESS also does not yet have the capability to do any MP2 optimizations
except in a very crude manner.
  The code is free but you do need to sign a "release" form stating that
you will not distribute the code.  To get a copy, send an e-mail to
Mike Schmidt at [email-masked].
  If you need any other information, please feel free to contact me.
 
Theresa Windus
Department of Chemistry            e-mail: [email-masked]
Northwestern University
Evanston, IL  60208  USA